Skip to content
Start here

List zone snippets

client.snippets.list(SnippetListParams { zone_id, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<SnippetListResponse { created_on, snippet_name, modified_on } >
GET/zones/{zone_id}/snippets

Fetches all snippets belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
params: SnippetListParams { zone_id, page, per_page }
zone_id: string

Path param: Use this field to specify the unique ID of the zone.

page?: number

Query param: Specifies the current page number.

minimum1
per_page?: number

Query param: Specifies how many results to return per page.

minimum1
ReturnsExpand Collapse
SnippetListResponse { created_on, snippet_name, modified_on }

Define a snippet.

created_on: string

Indicates when the snippet was created.

formatdate-time
snippet_name: string

Identify the snippet.

modified_on?: string

Indicates when the snippet was last modified.

formatdate-time

List zone snippets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const snippetListResponse of client.snippets.list({
  zone_id: '9f1839b6152d298aca64c4e906b6d074',
})) {
  console.log(snippetListResponse.created_on);
}
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00.000000Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00.000000Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}